package models

import "time"

type UserFavorites struct {
	BaseModel[UserFavoriteID]
	UserID       string       `json:"user_id"`
	PostID       string       `json:"post_id"`
	UserSourceID UserSourceID `json:"user_source_id"`
	UserSource   UserSource   `json:"-" gorm:"foreignKey:ID;references:UserSourceID"`
	CreatedAt    time.Time    `json:"created_at"`
}

func (UserFavorites) TableName() string {
	return "UserFavorites"
}
